Skip to main content
GET
/
api
/
cost
/
v2
/
asset
/
accumulated
Get accumulated asset cost over a time window
curl --request GET \
  --url https://api.example.com/api/cost/v2/asset/accumulated \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "data": [
    {
      "adjustment": 123,
      "assetProperties": {},
      "assetType": "<string>",
      "byte": {
        "breakdown": {
          "idle": 123,
          "other": 123,
          "system": 123,
          "user": 123
        },
        "count": 123,
        "hours": 123,
        "hoursUsed": 123,
        "usageMax": 123
      },
      "cpu": {
        "breakdown": {
          "idle": 123,
          "other": 123,
          "system": 123,
          "user": 123
        },
        "coreHours": 123,
        "cores": 123,
        "cost": 123
      },
      "discount": 123,
      "end": "<string>",
      "gpu": {
        "cost": 123,
        "count": 123,
        "hours": 123
      },
      "key": {},
      "labels": {
        "instance": "<string>",
        "job": "<string>",
        "label_dominodatalab_com_domino_node": "<string>",
        "label_dominodatalab_com_node_pool": "<string>"
      },
      "minutes": 123,
      "overhead": {
        "CpuOverheadFraction": 123,
        "OverheadCostFraction": 123,
        "RamOverheadFraction": 123
      },
      "preemptible": 123,
      "ram": {
        "breakdown": {
          "idle": 123,
          "other": 123,
          "system": 123,
          "user": 123
        },
        "byteHours": 123,
        "bytes": 123,
        "cost": 123
      },
      "start": "<string>",
      "storage": {
        "claimName": "<string>",
        "claimNamespace": "<string>",
        "class": "<string>",
        "nodeType": "<string>",
        "pool": "<string>",
        "volumeName": "<string>"
      },
      "totalCost": 123,
      "window": {
        "end": "<string>",
        "start": "<string>"
      }
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

window
string
required

Duration of time over which to query. Accepts words like today, week, month, yesterday, lastweek, lastmonth; durations like 30m, 12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z

aggregate
string[]

Aggregate the cost allocation. Accepts kubecost aggregates cluster, namespace, pod, deployment, service, daemonset, statefulset, job, cronjob, replicaset, node, container, pv, pvc, storageclass, cluster

interval
string

Interval to accumulate the costs. Accepts hour, day, week

filter
string

filter the result by the kubecost filter like cluster, namespace, pod, deployment, service, daemonset, statefulset

limit
integer

Max number of rows to fetch. Defaults to 1000.

offset
integer

How many rows from the start to skip. Defaults to 0.

Response

Success

data
object[]
required